Package com.io7m.idstore.protocol.user

# Record Class IdUResponseError

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.user.IdUResponseError

Record Components:
  `requestId` - The request ID
  `errorCode` - The error code
  `message` - The humanly-readable error message

All Implemented Interfaces:
  `IdProtocolMessageType`, `IdUMessageType`, `IdUResponseType`

public record IdUResponseError(UUID requestId, String errorCode, String message) extends Record implements IdUResponseType
An error response.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUResponseError(UUID requestId, String errorCode, String message)`
  An error response.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `errorCode()`
  Returns the value of the `errorCode` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `message()`
  Returns the value of the `message` record component.
  `UUID`
  `requestId()`
  Returns the value of the `requestId` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdUResponseError

    public IdUResponseError(UUID requestId, String errorCode, String message)
    An error response.
    Parameters:
      `requestId` - The request ID
      `errorCode` - The error code
      `message` - The humanly-readable error message

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### requestId

    public UUID requestId()
    Returns the value of the `requestId` record component.
    Specified by:
      `requestId` in interface `IdUResponseType`
    Returns:
      the value of the `requestId` record component

  - ### errorCode

    public String errorCode()
    Returns the value of the `errorCode` record component.
    Returns:
      the value of the `errorCode` record component

  - ### message

    public String message()
    Returns the value of the `message` record component.
    Returns:
      the value of the `message` record component